%define anolis_release 2
%global srcname cairocffi

Name:           python-cairocffi
Version:        1.3.0
Release:        %{anolis_release}%{?dist}
Summary:        cffi-based cairo bindings for Python
License:        BSD
URL:            https://pypi.python.org/pypi/cairocffi/
Source0:        %{pypi_source}
Patch0:         python-cairocffi-disable-linters.patch
Patch1:         python-cairocffi-xfail.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi >= 1.1.0
BuildRequires:  python3-pytest
BuildRequires:  python3-xcffib >= 0.3.2
BuildRequires:  cairo-devel
# required to run the test suite
BuildRequires:  python3-numpy
BuildRequires:  gdk-pixbuf2
BuildRequires:  gdk-pixbuf2-modules
BuildRequires:  xorg-x11-server-Xvfb

%global _description\
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of\
Python bindings and object-oriented API for cairo.  Cairo is a 2D\
vector graphics library with support for multiple backends including\
image buffers, PNG, PostScript, PDF, and SVG file output.

%description %_description

%package -n python3-cairocffi
Summary:        cffi-based cairo bindings for Python
Requires:       python3-cffi
Requires:       cairo
# required by cairocffi.pixbuf
Requires:       python3-xcffib >= 0.3.2
Requires:       gdk-pixbuf2
Requires:       glib2
Requires:       gtk3
# Provide the cairocffi[xcb] extras, because there is no reasonable split
# Be aware that %%version is not converted to the Pythonistic version here!
Provides:       python3dist(cairocffi[xcb]) = %{version}
Provides:       python3dist(cairocffi[xcb]) = %{version}

%description -n python3-cairocffi %_description

%package -n python3-cairocffi-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:	python3-cairocffi = %{version}-%{release}

%description -n python3-cairocffi-doc %{_description}
This package contains documentation for %{name}.

%prep
%autosetup -n cairocffi-%{version} -p1
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
# test_xcb.py needs a display
%global __pytest xvfb-run /usr/bin/pytest
%pytest -v --pyargs cairocffi


%files -n python3-cairocffi
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py3*.egg-info/

%files -n python3-cairocffi-doc
%doc README.rst

%changelog
* Mon Mar 25 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.3.0-2
- Rebuild with python3.11

* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 1.3.0-1
- init package from upstream
